summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2018-06-09 21:33:03 +0100
committerJustin Lecher <jlec@gentoo.org>2018-06-09 21:33:20 +0100
commita5be401eb7bc3db5dac8d258e6f6f9d4f85cfac4 (patch)
treebf2b0b4c4b5e7f4c64cc7b5c9a75f099c6fb800f /sci-biology
parentsys-cluster/slurm: Version Bump to mitigate CVE-2018-10995 (diff)
downloadgentoo-a5be401eb7bc3db5dac8d258e6f6f9d4f85cfac4.tar.gz
gentoo-a5be401eb7bc3db5dac8d258e6f6f9d4f85cfac4.tar.bz2
gentoo-a5be401eb7bc3db5dac8d258e6f6f9d4f85cfac4.zip
sci-biology/rebase: Bump to latest release
Signed-off-by: Justin Lecher <jlec@gentoo.org> Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'sci-biology')
-rw-r--r--sci-biology/rebase/Manifest1
-rw-r--r--sci-biology/rebase/rebase-1806.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/sci-biology/rebase/Manifest b/sci-biology/rebase/Manifest
index e27e133eac6..8eb06d8cba3 100644
--- a/sci-biology/rebase/Manifest
+++ b/sci-biology/rebase/Manifest
@@ -3,3 +3,4 @@ DIST rebase-1702.tar.xz 117583312 BLAKE2B 19089d5767c35da22fb95bac7bc030ef593b15
DIST rebase-1703.tar.xz 122252304 BLAKE2B 26afca990e300a5c471f55b1a168b1930212a347b70dd3224a51894bb701540a27a0384bd250caee8e0d0dd4886c6664ab74b20bcfb71fd42d1c73ebf2ce6be6 SHA512 838bf5e09073ff8520403d955a8195298def1d792d1fd3044e7c8896c6202a0340c1e96dbe80e85c5801cd3be3ed63f19488101cca02d46cdf5f1d0521ede796
DIST rebase-1704.tar.xz 124351900 BLAKE2B bdbda714cc07f744b56c83b80a1b0f0a724a990b200c615458852910f282761aaf37a312a388ec7fee94a62ead47e01ddca8b205f2ad05d780a299e7547206f7 SHA512 0e4019d41ccbae86b8cb1f6dfa4c34d3fccbe084a330f04f2fdb774186e35c761655e1619d9a90d444ea3bab0910df1b60cf9a249ee31d66a254d28dd6b32cc7
DIST rebase-1803.tar.xz 152581448 BLAKE2B 7907f0aee9e202f062f5ec4b5e4a112cd0fb3900b3d65dc57ffe4832c5aac088f50c2661f1b9c1bb8b57e7b4f6d453bec2899b460383d06b4e679da13e92aad2 SHA512 ab718e87c33c975bc6a93d3c6be130c9751612b744dc5451bcfde5c10d3d9d68ed4a4d921fff1f48063bfa2e9f3c8a016d4e5e0afa4eb7e4131511767608534b
+DIST rebase-1806.tar.xz 161844712 BLAKE2B 901167b502b85e88eaa9a8886c5ccac8bf1ec16a7736694b90f896bd4d87ae3792d09f6b154118a6063e30b94a5633b37a7811aefc1d39467d0043d887aeb64a SHA512 9c9c0ef89c8f8e43516c052a06395d61c423b53a79553ceccd992bf72872ece44696091c11c816213b93532aac54a476fe87475f4f67baaa87bc50f64e847d48
diff --git a/sci-biology/rebase/rebase-1806.ebuild b/sci-biology/rebase/rebase-1806.ebuild
new file mode 100644
index 00000000000..e9944bde30f
--- /dev/null
+++ b/sci-biology/rebase/rebase-1806.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PV=${PV#1}
+
+DESCRIPTION="A restriction enzyme database"
+HOMEPAGE="http://rebase.neb.com"
+SRC_URI="https://dev.gentoo.org/~jlec/distfiles/${P}.tar.xz"
+
+SLOT="0"
+LICENSE="public-domain"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
+IUSE="emboss minimal"
+
+RDEPEND="emboss? ( >=sci-biology/emboss-5.0.0 )"
+DEPEND="${RDEPEND}"
+
+RESTRICT="binchecks strip"
+
+src_compile() {
+ if use emboss; then
+ echo; einfo "Indexing Rebase for usage with EMBOSS."
+ mkdir REBASE || die
+ EMBOSS_DATA="." rebaseextract -auto -infile withrefm.${MY_PV} \
+ -protofile proto.${MY_PV} -equivalences \
+ || die "Indexing Rebase failed."
+ echo
+ fi
+}
+
+src_install() {
+ if ! use minimal; then
+ insinto /usr/share/${PN}
+ doins withrefm.${MY_PV} proto.${MY_PV}
+ fi
+ newdoc REBASE.DOC README
+ if use emboss; then
+ insinto /usr/share/EMBOSS/data/REBASE
+ doins REBASE/embossre.{enz,ref,sup}
+ insinto /usr/share/EMBOSS/data
+ doins REBASE/embossre.equ
+ fi
+}